Documentation Index
Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Back to API List
Extracts the Knowledge Graph from an imported file or URL.
| Property | Value |
|---|
| Method | POST |
| Endpoint | https://{{host}}/api/public/bot/{{botId}}/qna/import?language=en |
| Content Type | application/json |
| Authorization | auth: {{YOUR_JWT_ACCESS_TOKEN}} — See How to generate the JWT Token. |
| API Scope | App Builder: Manage Knowledge Graph; Admin Console: Manage Knowledge Graph |
Path Parameters
| Parameter | Required | Description |
|---|
host | Required | The environment URL. For example, https://platform.kore.ai |
BotId | Required | Bot ID or Stream ID, accessible under General Settings on the App Builder. |
Query Parameters
| Parameter | Required | Description |
|---|
language | Required | The bot language code. For example, en for English and de for German. |
curl --location 'https://{{host}}/api/public/bot/{{streamId}}/qna/import?language=en' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'content-type: application/json' \
--data '{
"fileUrl": "https://www.ixxxx.com/nri-banking/money_transfer/faq/loyalty-program.page",
"name": "Test"
}'
curl --location 'https://{{host}}/api/public/bot/{{streamId}}/qna/import?language=en' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'content-type: application/json' \
--data '{
"fileId": "64c0facd1913a83c147xxxxx",
"name": "Test2"
}'
Body Parameters
| Parameter | Required | Description |
|---|
fileUrl | Required | The URL pointing to the location of the FAQs to extract. |
fileId | Required | The file ID pointing to the FAQ file’s location. |
name | Required | The name to assign to the FAQ. |
Sample Response
{
"_id": "<extractionId>",
"status": "success"
}